Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600043 - [SSUI] Able to create snapshot with memory on powered down VM
Summary: [SSUI] Able to create snapshot with memory on powered down VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Oleg Barenboim
QA Contact: Antonin Pagac
URL:
Whiteboard:
Depends On:
Blocks: 1629090
TreeView+ depends on / blocked
 
Reported: 2018-07-11 09:37 UTC by Antonin Pagac
Modified: 2019-02-11 13:59 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1629090 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:59:14 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
checkbox displayed in ssui (deleted)
2018-07-11 09:37 UTC, Antonin Pagac
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1599661 None None None Never

Internal Links: 1599661

Description Antonin Pagac 2018-07-11 09:37:40 UTC
Created attachment 1458034 [details]
checkbox displayed in ssui

Description of problem:
In SSUI, user is able to create a snapshot with memory on a VM that is shut down. When using OPS UI, the snapshot memory checkbox is not displayed for powered down VMs.
Upon choosing to create snapshot with memory, there is no error in UI nor in evm.log, snapshot gets created successfully. I believe this is not a blocker.

Version-Release number of selected component (if applicable):
5.9.3.4

How reproducible:
Always

Steps to Reproduce:
1. Create a service that provisions a VM, order it, shut down the VM
2. Via SSUI, go to the service details and choose to create new snapshot for the powered down VM
3. The 'Memory' checkbox is visible.

Actual results:
Able to create snapshot with memory on powered down VM when going via SSUI

Expected results:
'Memory' checkbox hidden, as it is when using OPS UI

Additional info:
The snapshot memory option is valid only for running/suspended VMs and not for powered down VMs.

Comment 3 Chris Hale 2018-07-12 19:37:31 UTC
GH PR - https://github.com/ManageIQ/manageiq-ui-service/pull/1455

Comment 6 Antonin Pagac 2018-09-18 13:58:40 UTC
Verified with 5.10.0.15.


Note You need to log in before you can comment on or make changes to this bug.